Author Topic: wxlauncher command line option with 3.7.5  (Read 781 times)

0 Members and 1 Guest are viewing this topic.

Offline Jackho

  • 25
  • Gnoti seauton ...
    • Downloads an al
wxlauncher command line option with 3.7.5
Hi,

I  had a problem while running fsport 3.5 with 3.7.5 build. If I change campaign or I select an already played mission from tech room the game crashes. Everything is up to date (as far as installer give the last versions of mods) and I can't even start the debug version.
I'm using wxlauncher 0.10.1
What I found out is the -mod option that wxlauncher passes to the program is not normal. mods are added twice. I think this explains the error when launching the debug version which states there're too much files to load.
I also tried with only one mod and it happened again, although the game could start in debug mode because of the smaller number of files to load.
I read somewhere in the wiki that mod.ini file had to be there even if empty so I had one in any single mod directory and I guess they are fine because I don't have any problem with 3.7.4 version (well I never had any issue with mod.ini I created  :drevil: ).
As a matter of fact, whatever mod I choose with wxlauncher is added twice on the command line. But it's not showing in the command line preview, only in the fs2_open.log
Also if I run directly from the command line everything runs fine then and I can play fsport and switch campaigns.

Is it a wxlauncher related problem or fs2_open? I really don't know.
I put the two fs2_open.log in case you ask for it, one with the fsport 3.5 try, other with only one mod

EDIT : Tried 0.9.6, same problem, tried adding a buggy -mod option and I could reproduce the error

EDIT2 : it really has to do with fs2_open.exe! I just tried with launcher5.5g and I got same error. So I built a cfg file from scratch, double clicked on fs2_open to start it and again, the mod is repeated twice as seen in the debug log.
Hope this helps

[attachment deleted by admin]
« Last Edit: September 10, 2016, 02:15:24 pm by Jackho »
A+
Jack H. : "Well... There's much more to check than six..."

 

Offline AdmiralRalwood

  • 211
  • The Cthulhu programmer himself!
    • Skype
    • Steam
    • Twitter
Re: wxlauncher command line option with 3.7.5
What version of wxLauncher are you using?
Ph'nglui mglw'nafh Codethulhu GitHub wgah'nagl fhtagn.

schrödinbug (noun) - a bug that manifests itself in running software after a programmer notices that the code should never have worked in the first place.

When you gaze long into BMPMAN, BMPMAN also gazes into you.

"I am one of the best FREDders on Earth" -General Battuta

<Aesaar> literary criticism is vladimir putin

<MageKing17> "There's probably a reason the code is the way it is" is a very dangerous line of thought. :P
<MageKing17> Because the "reason" often turns out to be "nobody noticed it was wrong".
(the very next day)
<MageKing17> this ****ing code did it to me again
<MageKing17> "That doesn't really make sense to me, but I'll assume it was being done for a reason."
<MageKing17> **** ME
<MageKing17> THE REASON IS PEOPLE ARE STUPID
<MageKing17> ESPECIALLY ME

<MageKing17> God damn, I do not understand how this is breaking.
<MageKing17> Everything points to "this should work fine", and yet it's clearly not working.
<MjnMixael> 2 hours later... "God damn, how did this ever work at all?!"
(...)
<MageKing17> so
<MageKing17> more than two hours
<MageKing17> but once again we have reached the inevitable conclusion
<MageKing17> How did this code ever work in the first place!?

<@The_E> Welcome to OpenGL, where standards compliance is optional, and error reporting inconsistent

<MageKing17> It was all working perfectly until I actually tried it on an actual mission.

<IronWorks> I am useful for FSO stuff again. This is a red-letter day!
* z64555 erases "Thursday" and rewrites it in red ink

<MageKing17> TIL the entire homing code is held up by shoestrings and duct tape, basically.

 

Online m!m

  • 211
Re: wxlauncher command line option with 3.7.5
What version of wxLauncher are you using?
I'm using wxlauncher 0.10.1

@Jackho: There is a new version of the launcher that you could try: https://github.com/scp-fs2open/wxLauncher/releases/tag/0.12.0-rc.2
3.7.5 had some changes with how the engine interacts with the launcher so there may be issues with older wxLauncher versions.

 

Offline Jackho

  • 25
  • Gnoti seauton ...
    • Downloads an al
Re: wxlauncher command line option with 3.7.5
Thanks m!m,

This version is working good so far. I just have to maintain my pilots files in 2 places because I still use 3.7.4 with mods that don't have pbr assets, but I don't mind.
A+
Jack H. : "Well... There's much more to check than six..."

 

Online m!m

  • 211
Re: wxlauncher command line option with 3.7.5
:wtf: 3.7.5 has no issues with non-PBR assets. It will work perfectly fine with existing mods.

  

Offline Jackho

  • 25
  • Gnoti seauton ...
    • Downloads an al
Re: wxlauncher command line option with 3.7.5
Ha Ha! you're so damn right. I didn't even see how stupid I was when writing this... I guess I might be thinking mods using assets without reflectivity maps didn't need 3.7.5 or something like that. Silly me  :drevil:
« Last Edit: September 16, 2016, 01:48:07 pm by Jackho »
A+
Jack H. : "Well... There's much more to check than six..."